#include <iostream>
using namespace std;
#include<cmath>
int main()
    {
         int n;
    cin >>n;
    int a[n];
    int b[n];
    
    for(int i=0;i<n;i++)
	{
		cin>>a[i]>>b[i];
				
	}
	for(int i=0;i<n;i++)
	{
		for(int j=i;j<n;j++)
		{
		   if(a[i]>a[j])
		   {
		   	int t=a[i];
		   	a[i]=a[j];
		   	a[j]=t;
		   }	
		}
	}
	
	
	for(int i=0;i<n;i++)
	{
		for(int j=i;j<n;j++)
		{
		   if(b[i]>b[j])
		   {
		   	int t=b[i];
		   	b[i]=b[j];
		   	b[j]=t;
		   }	
		}
	}
	int greska=0;
	for(int i=0;i<n;i++)
	{
		if(a[i]!=i+1)
		{
		   	greska+=abs(a[i]-i-1);
		}
		
		if(b[i]!=i+1)
		{
		   	greska+=abs(b[i]-i-1);
		}
		
		
	}
	
	cout<<greska;
	
	

	
	
	return 0;
	
	
	
	
	}